#
# Please do not update/rebuild/touch this package before asking first
# to the KDE Team
# This package is part of the KDE Stack.
#

%define rel 2

%global kde_name org.kde.plasma.dialer

Name:           plasma-dialer
Version: 6.4.1
Release:        %mkrel %{rel}
Summary:        Convergent Plasma Mobile dialer application
Group:          Graphical desktop/KDE
License:        BSD and CC0 and GPLv2 and GPLv2+ and GPLv3 and GPLv3+ and LGPLv2+ and LGPLv2.1 and LGPLv2.1+ and LGPLv3 and LGPLv3
Url:            https://apps.kde.org/plasma.dialer/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

## patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Quick)
BuildRequires:  cmake(Qt6Qml)
BuildRequires:  cmake(Qt6QuickControls2)
BuildRequires:  cmake(Qt6WaylandClient)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Contacts)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6DBusAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6Kirigami)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6People)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6ModemManagerQt)
BuildRequires:  cmake(KF6KirigamiAddons)
BuildRequires:  cmake(KF6KIO)

BuildRequires:  cmake(PlasmaWaylandProtocols)
BuildRequires:  cmake(libphonenumber)

BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(libcallaudio-0.1)

Requires:       kirigami
Requires:       kirigami-addons


%description
Convergent Plasma Mobile dialer application.

%files -f %{name}.lang
%license LICENSES/*
%{_kf6_bindir}/plasma-dialer
%{_kf6_metainfodir}/%{kde_name}.appdata.xml
%{_kf6_datadir}/applications/%{kde_name}.desktop
%{_kf6_sysconfdir}/xdg/autostart/org.kde.modem.daemon.desktop
%{_kf6_sysconfdir}/xdg/autostart/org.kde.telephony.daemon.desktop
%{_kf6_iconsdir}/hicolor/scalable/apps/dialer.svg
%{_kf6_knotificationsdir}/plasma-dialer.notifyrc
%{_kf6_datadir}/dbus-1/interfaces/org.kde.telephony.*
%{_kf6_datadir}/dbus-1/services/org.kde.telephony.service
%{_kf6_datadir}/dbus-1/services/org.kde.modemdaemon.service
%{_kf6_qmldir}/org/kde/telephony/
%{_libexecdir}/kde-telephony-daemon
%{_libexecdir}/modem-daemon

#------------------------------------------------------------------------------

%package        devel
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:       %{name}%{?_isa} = %{version}-%{release}
Provides:       %{name}-static = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%files devel
%{_kf6_includedir}/kTelephonyMetaTypes/
%{_kf6_libdir}/libktelephonymetatypes.a

#------------------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install

%find_lang %{name} --all-name


%changelog
* Sun Jul 06 2025 daviddavid <daviddavid> 6.4.1-2.mga10
+ Revision: 2247564
- rebuild for new libphonenumber 9.0.9

* Wed Jun 25 2025 daviddavid <daviddavid> 6.4.1-1.mga10
+ Revision: 2194429
- New version 6.4.1

* Tue Jun 17 2025 daviddavid <daviddavid> 6.4.0-1.mga10
+ Revision: 2192242
- New version 6.4.0

* Fri May 30 2025 daviddavid <daviddavid> 6.3.91-1.mga10
+ Revision: 2187030
- New version 6.3.91

* Tue May 06 2025 daviddavid <daviddavid> 6.3.5-1.mga10
+ Revision: 2181380
- New version 6.3.5

* Wed Apr 02 2025 daviddavid <daviddavid> 6.3.4-1.mga10
+ Revision: 2172652
- New version 6.3.4

* Thu Mar 13 2025 daviddavid <daviddavid> 6.3.3-1.mga10
+ Revision: 2163313
- New version 6.3.3

* Mon Mar 10 2025 daviddavid <daviddavid> 6.3.2-2.mga10
+ Revision: 2162565
- protobuf is no more needed

* Tue Feb 25 2025 daviddavid <daviddavid> 6.3.2-1.mga10
+ Revision: 2152476
- New version 6.3.2

* Tue Feb 18 2025 daviddavid <daviddavid> 6.3.1-1.mga10
+ Revision: 2149404
- New version 6.3.1

* Tue Feb 11 2025 daviddavid <daviddavid> 6.3.0-1.mga10
+ Revision: 2146931
- New version 6.3.0

* Thu Jan 23 2025 daviddavid <daviddavid> 6.2.91-1.mga10
+ Revision: 2140830
- New version 6.2.91

* Sat Jan 11 2025 daviddavid <daviddavid> 6.2.90-1.mga10
+ Revision: 2137973
- New version 6.2.90

* Wed Jan 01 2025 daviddavid <daviddavid> 6.2.5-1.mga10
+ Revision: 2134188
- New version 6.2.5

* Mon Dec 23 2024 daviddavid <daviddavid> 6.2.4-2.mga10
+ Revision: 2129153
- fix dependency

* Sun Dec 22 2024 daviddavid <daviddavid> 6.2.4-1.mga10
+ Revision: 2129137
- initial package plasma-dialer

